<template>
  <j-modal
    :title="title"
    :width="width"
    :visible="visible"
    switchFullscreen
    @ok="handleOk"
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel="handleCancel"
    cancelText="关闭">
    <sys-user-list ref="modalSysUserModal" @ok="submitCallback"></sys-user-list>
  </j-modal>
</template>

<script>
  import SysUserList from "./SysUserList";
  export default {
    name: 'SysUserModal',
    components: {
      SysUserList
    },
    data () {
      return {
        title:'',
        width:1200,
        visible: false,
        disableSubmit: false,
        // eventId:'',
      }
    },
    methods: {
      add () {
        this.visible=true

      },
      edit (record) {
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.modalSysUserModal.edit(record);
        })
      },
      close () {
        this.$emit('close');
        this.visible = false;
      },
      handleOk () {
        this.$refs.modalSysUserModal.submitForm();
      },
      submitCallback(){
        this.$emit('ok');
        this.visible = false;
      },
      handleCancel () {
        this.close()
      }
    }
  }
</script>